# Run tests in check section
# Disabled because it needs an ACCOUNT_NAME and ACCOUNT_KEY
%bcond_with check

# https://github.com/Azure/azure-storage-blob-go
%global goipath         github.com/Azure/azure-storage-blob-go
Version:                0.6.0

%global common_description %{expand:
The Microsoft Azure Storage SDK for Go allows you to build applications
that takes advantage of Azure's scalable cloud storage.

This repository contains the open source Blob SDK for Go.

Features:

Blob Storage:
 - Create/List/Delete Containers
 - Create/Read/List/Update/Delete Block Blobs
 - Create/Read/List/Update/Delete Page Blobs
 - Create/Read/List/Update/Delete Append Blobs}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Microsoft Azure Blob Storage Library for Go
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/Azure/azure-pipeline-go/pipeline)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc BreakingChanges.md ChangeLog.md README.md

%changelog
* Sat Apr 06 20:09:17 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.0-1
- Release 0.6.0 (#1696884)

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.0-1
- Update to version 0.5.0

* Tue Dec 18 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Update to version 0.3.0

* Fri Oct 05 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-1
- First package for Fedora

